{*
/**
 * Copyright (c) 2024 iSmartFrame.
 * 
 * Questo file è soggetto alla licenza. 
 * Vedi il file LICENSE per i dettagli completi.
 * 
 * Template Smarty per la gestione degli avvisi nel modulo.
 */
*}
{* views/templates/hook/bigform.tpl *}
{block name="content"}
<div class="button-container">
    <button class="rounded-button button-c" id="Home" onclick="showHome()">{$homeLabel}</button>
    <button class="rounded-button" id="Logs" onclick="showLog()">{$logsLabel}</button>
</div>

<script>
function showHome() {
    var documentation = document.getElementById("Documentation");
    var moduleForm = document.getElementById("FORM");
    var purgeTotalCache = document.getElementById("PurgeTotalCache");
    var logsDiv = document.getElementById("logsDiv");
    var HowiSF = document.getElementById("HowiSF");
    document.getElementById("Logs").classList.remove("button-c");
    document.getElementById("Home").classList.add("button-c");

    if (documentation) {
        documentation.style.display = "block";
    }
    if (moduleForm) {
        moduleForm.style.display = "flex";
    }
    if (purgeTotalCache) {
        purgeTotalCache.style.display = "block";
    }
    if(HowiSF){
        HowiSF.style.display = "block";
    }
    if (logsDiv) {
        logsDiv.style.display = "none";
    }
}

function showLog() {
    var documentation = document.getElementById("Documentation");
    var moduleForm = document.getElementById("FORM");
    var purgeTotalCache = document.getElementById("PurgeTotalCache");
    var logsDiv = document.getElementById("logsDiv");
    var HowiSF = document.getElementById("HowiSF");

    document.getElementById("Home").classList.remove("button-c");
    document.getElementById("Logs").classList.add("button-c");

    if (documentation) {
        documentation.style.display = "none";
    }
    if (moduleForm) {
        moduleForm.style.display = "none";
    }
    if (purgeTotalCache) {
        purgeTotalCache.style.display = "none";
    }
    if(HowiSF){
        HowiSF.style.display = "none";
    }
    if (logsDiv) {
        logsDiv.style.display = "block";
    }
}
</script>

<div class="panel" id="Documentation">
    <div style="display: flex;gap: 20px;align-items: center;">
        <img src="{$imagePath}" alt="{$imageAlt}" style="width: 60px; height: auto;">
        <div style="display: flex;flex-direction: column;">
            <h3 style="border:none;margin:0;">{$firstTimeLabel}</h3>
            <p><a href="{$documentationUrl}" target="_blank">{$getStartedLabel}</a> {$installLabel}</p>
        </div>
    </div>
</div>

<div id="FORM">
    {$form}
    <div class="panel" style="width: 50%;">
        <h3>{$howToGenerateApiKeyLabel}</h3>
        <h5>{$stepsLabel}</h5>
        <ol>
            <li>{$step1}</li>
            <li>{$step2}</li>
            <li>{$step3}</li>
            <li>{$step4}</li>
            <li>{$step5}</li>
        </ol>
    </div>
</div>

{if $apiKeyVerified}
<div class="panel" id="PurgeTotalCache" style="margin-top: 20px;">
    <h3>{$fullCacheResetLabel}</h3>
    <p>{$warningLabel}</p>
    <form id="purgeCacheForm" method="post" action="" style="display:flex;">
        <input type="hidden" name="purge_cache_action" value="1">
        <button type="button" name="purgeCache" class="btn btn-warning pull-right" onclick="showConfirmation()">{$clearCacheLabel}</button>
    </form>

    <div id="confirmationDiv" style="display:none; margin-top:20px;">
        <p>{$confirmationLabel}</p>
        <button type="button" class="btn btn-success" onclick="submitForm()">{$yesLabel}</button>
        <button type="button" class="btn btn-danger" onclick="hideConfirmation()">{$noLabel}</button>
    </div>
</div>

<script>
    function showConfirmation() {
        document.getElementById("confirmationDiv").style.display = "block";
    }

    function hideConfirmation() {
        document.getElementById("confirmationDiv").style.display = "none";
    }

    function submitForm() {
        document.getElementById("purgeCacheForm").submit();
    }
</script>
{/if}

<div class="panel" id="HowiSF" style="margin-top: 20px;">
    <h3>{$howIsfWorksLabel}</h3>
    <ul>
        <li><b>{$autoCachePurgeLabel}:</b> {$autoCachePurgeDesc}</li>
        <li><b>{$targetedCacheManagementLabel}:</b> {$targetedCacheManagementDesc}</li>
        <li><b>{$customizableCacheControlLabel}:</b> {$customizableCacheControlDesc}</li>
        <li><b>{$completeWebsiteCacheClearingLabel}:</b> {$completeWebsiteCacheClearingDesc}</li>
    </ul>
    <h4 style="margin-top:4px;">{$learnMoreLabel} <a href="{$howItWorksUrl}" target="_blank">{$howItWorksLink}</a></h4>
</div>

<div class="panel" style="margin-top: 20px;" id="logsDiv">
    <h3>{$logsLabel}</h3>
    <form method="post" action="">
        <button type="submit" name="explore_logs" class="btn btn-default">{$exploreLogsLabel}</button>
    </form>
    {if $logs}
    <div style="margin-top:10px;">
        <h4>{$lastLogsLabel}</h4>
        <pre>{$logs}</pre>
    </div>
    <script>
        var documentation = document.getElementById("Documentation");
        var moduleForm = document.getElementById("FORM");
        var purgeTotalCache = document.getElementById("PurgeTotalCache");
        var HowiSF = document.getElementById("HowiSF");
        var logsDiv = document.getElementById("logsDiv");

        document.getElementById("Home").classList.remove("button-c");
        document.getElementById("Logs").classList.add("button-c");

        if (documentation) {
            documentation.style.display = "none";
        }
        if (moduleForm) {
            moduleForm.style.display = "none";
        } 
        if (purgeTotalCache) {
            purgeTotalCache.style.display = "none";
        }
        if(HowiSF){
            HowiSF.style.display = "none";
        }
        if (logsDiv) {
            logsDiv.style.display = "block";
        }
    </script>
    {/if}
</div>
{/block}
